Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Class PostalAddress

    java.lang.Object
      com.compoze.collab.groupware.PostalAddress

    public class PostalAddress

extends Object

This class is a wrapper for postal address representations.

Constructor Summary
`PostalAddress(String sStreet, String sCity, String sState, String sCountry, String sPostalCode)` Constructor.

Method Summary
`boolean` | `equals(Object obj)` Tests equality with another address.
`String` | `getCity()` Gets the city.
`String` | `getCountry()` Gets the country.
`String` | `getPostalCode()` Gets the postal code.
`String` | `getState()` Gets the state or province.
`String` | `getStreet()` Gets the street.
`void` | `setCity(String sCity)` Sets the city name.
`void` | `setCountry(String sCountry)` Sets the country.
`void` | `setPostalCode(String sPostalCode)` Sets the postal code.
`void` | `setState(String sState)` Sets the state or province.
`void` | `setStreet(String sStreet)` Sets the street address.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostalAddress

    public PostalAddress(String sStreet,
                         String sCity,
                         String sState,
                         String sCountry,
                         String sPostalCode)

  Constructor.

  Parameters
    `sStreet` - the street address
    `sCity` - the city
    `sState` - the state or province
    `sCountry` - the country

Method Detail

### setCity

    public void setCity(String sCity)

  Sets the city name.

  Parameters
    `sCity` - the city name

### getCity

    public String getCity()

  Gets the city.

  Returns
    the city name
  See Also
    `setCity(String)`

### setCountry

    public void setCountry(String sCountry)

  Sets the country.

  Parameters
    `sCountry` - the country

### getCountry

    public String getCountry()

  Gets the country.

  Returns
    the country
  See Also
    `setCountry(String)`

### setState

    public void setState(String sState)

  Sets the state or province.

  Parameters
    `sState` - the state or province

### getState

    public String getState()

  Gets the state or province.

  Returns
    the state or province
  See Also
    `setState(String)`

### setStreet

    public void setStreet(String sStreet)

  Sets the street address.

  Parameters
    `sStreet` - the street address

### getStreet

    public String getStreet()

  Gets the street.

  Returns
    the street address
  See Also
    `setStreet(String)`

### setPostalCode

    public void setPostalCode(String sPostalCode)

  Sets the postal code.

  Parameters
    `sPostalCode` - the postal code

### getPostalCode

    public String getPostalCode()

  Gets the postal code.

  Returns
    the postal code
  See Also
    `setPostalCode(String)`

### equals

    public boolean equals(Object obj)

  Tests equality with another address.

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved